
Redmine - Defect #13348

Repository tree can't handle two loading at once

2013-03-04 10:22 - Vadim Pushtaev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.3.4   

Resolution: Fixed Affected version:  

Description

On the Repository page I click [+] near the trunk folder and while loading is processing I click [+] near branches. After both loadings

are finished I have this:

branches

|-branch1

|-branch2

|-file1

`-file2

tags

trunk

instead of this:

branches

|-branch1

`-branch2

tags

trunk

|-file1

`-file2

 As you can see, loading result appeared in the last chosen folder, not in the appropriate one.

Associated revisions

Revision 12274 - 2013-11-13 10:42 - Toshi MARUYAMA

fix repository tree can't handle two loading at once (#13348)

Contributed by Vadim Pushtaev.

Revision 12275 - 2013-11-13 11:14 - Toshi MARUYAMA

Merged r12274 from trunk to 2.3-stable (#13348)

fix repository tree can't handle two loading at once.

Contributed by Vadim Pushtaev.

Revision 12276 - 2013-11-13 11:16 - Toshi MARUYAMA

Merged r12274 from trunk to 2.4-stable (#13348)

fix repository tree can't handle two loading at once.

Contributed by Vadim Pushtaev.

History

#1 - 2013-03-04 10:56 - Toshi MARUYAMA

- Category set to SCM
#2 - 2013-11-13 10:06 - Vadim Pushtaev

- File 13348.diff added

- Status changed from New to Resolved

Looks like we just use global variable instead of local one:

 function scmEntryClick(id, url) {

-    el = $('#'+id);

+    var el = $('#'+id);

     if (el.hasClass('open')) {

         collapseScmEntry(id);

         el.addClass('collapsed');

 Patch included.

#3 - 2013-11-13 10:24 - Toshi MARUYAMA

- Target version set to 2.4.0

#4 - 2013-11-13 10:36 - Toshi MARUYAMA

- Target version changed from 2.4.0 to 2.3.4

#5 - 2013-11-13 11:17 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Fixed

Committed in trunk r12274, 2.3-stable r12275 and 2.4-stable r12276, thanks.

Files

13348.diff 658 Bytes 2013-11-13 Vadim Pushtaev
